


evans2009 <- read.table(file="reanal_evans_2009_all.txt", header = TRUE)
evans2010 <- read.table(file="reanal_evans_2010_all.txt", header = TRUE)

weidenfeld2005 <- read.table(file="reanal_weidenfeld_2005.txt", header = TRUE)
marko2005 <- read.table(file="reanal_markovitshandley_2005.txt", header = TRUE)



### spearmans rho for all graphs
rho.all.evans2009 <- cor.test(evans2009[,4], evans2009[,5], alternative="two.sided", method="spearman")
rho.aff.evans2009 <- cor.test(evans2009[evans2009$problem=="MP" | evans2009$problem=="AC",4], evans2009[evans2009$problem=="MP" | evans2009$problem=="AC",5], alternative="two.sided", method="spearman")
rho.den.evans2009 <- cor.test(evans2009[evans2009$problem=="MT" | evans2009$problem=="DA",4], evans2009[evans2009$problem=="MT" | evans2009$problem=="DA",5], alternative="two.sided", method="spearman")

rho.all.evans2010 <- cor.test(evans2010[,4], evans2010[,5], alternative="two.sided", method="spearman")
rho.aff.evans2010 <- cor.test(evans2010[evans2010$problem=="MP" | evans2010$problem=="AC",4], evans2010[evans2010$problem=="MP" | evans2010$problem=="AC",5], alternative="two.sided", method="spearman")
rho.den.evans2010 <- cor.test(evans2010[evans2010$problem=="MT" | evans2010$problem=="DA",4], evans2010[evans2010$problem=="MT" | evans2010$problem=="DA",5], alternative="two.sided", method="spearman")







#### Figure 1: four state trace plots 

cexValue <- 1.2
cexValueS <- 1
cexValueB <- 1.4
axisanno<-0.6
axistxt <- 0.8
maincex <- 0.8
headsize<-0.8

rhox <- 88
rhoy <- 33
rhosize <- 1.2

#png("figures/ivdr_fig1_all.png",width=19,height=5.9,units="cm",res=700)

postscript(file = "figures/fig1.eps", onefile = FALSE, width = 7.5, height = 2.3, horizontal = FALSE, paper = "special")

par(mfrow=c(1,4), oma=c(0.5,0,0,0))

#  plot evans et al (2010) affirmation
par(mar=c(3,4,4,0))
plot(marko2005[1,3],marko2005[1,4],xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(marko2005[2,3],marko2005[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(marko2005[3,3],marko2005[3,4], pch=22, cex=cexValue, col="black", bg="black")
points(marko2005[4,3],marko2005[4,4], pch=25, cex=cexValue, col="black", bg="black")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .80")), col = "black", font = 2, cex = rhosize)
mtext("Markovits & Handley (2005)", side = 3, line = 1, cex=headsize, font=2)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("inductive responses", side=2, line=2.5, cex=axistxt)
#legend(27,104, legend = (c("high belief", "low belief")), pch= 23, pt.bg=c("black","white"), bty="n", pt.cex=cexValue )
legend(27.25,64.5, legend = (c("MP", "AC", "MT", "DA")), pch= c(21,24,22,25), pt.bg="grey", bty="o", pt.cex=cexValue )
axis(side=2, cex.axis=axisanno)


#  plot evans et al (2009) affirmation
par(mar=c(3,3,4,1))
plot(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="high",5], pch=24, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",5], pch=22, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="high",5], pch=25, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=21, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=24, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=22, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=25, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="low",5], pch=21, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="low",5], pch=24, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="low",5], pch=22, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="low",5], pch=25, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=21, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=24, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=22, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=25, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=21, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=24, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=22, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=25, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=21, cex=cexValueS, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=24, cex=cexValueS, col="black", bg="white")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=22, cex=cexValueS, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=25, cex=cexValueS, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .87")), col = "black", font = 2, cex = rhosize)
#mtext("deductive responses", side=1, line=2.5, cex=axistxt)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("Evans et al. (2009)", side = 3, line = 1, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)
#legend(27,104, legend = (c("high belief", "medium belief", "low belief")), pch= 23, pt.bg=c("black","grey","white"), bty="n", pt.cex=cexValue )


#  plot Weidenfeld et al (2005) affirmation
par(mar=c(3,2,4,2))
plot(weidenfeld2005[1,3],weidenfeld2005[1,4],xlab="", yaxt="n", ylab="", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(weidenfeld2005[2,3],weidenfeld2005[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[3,3],weidenfeld2005[3,4], pch=21, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[4,3],weidenfeld2005[4,4], pch=24, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[5,3],weidenfeld2005[5,4], pch=21, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[6,3],weidenfeld2005[6,4], pch=24, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[7,3],weidenfeld2005[7,4], pch=22, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[8,3],weidenfeld2005[8,4], pch=25, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[9,3],weidenfeld2005[9,4], pch=22, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[10,3],weidenfeld2005[10,4], pch=25, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[11,3],weidenfeld2005[11,4], pch=22, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[12,3],weidenfeld2005[12,4], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .85")), col = "black", font = 2, cex = rhosize)
mtext("Weidenfeld et al. (2005)", side = 3, line = 1, cex=headsize, font=2)
mtext("deductive responses", side=1, line=2, cex=axistxt)
#legend(27,104, legend = (c("causal forward", "no causality", "causal backward")), pch= 23, pt.bg=c("black","grey","white"), bty="n", pt.cex=cexValue )
axis(side=2, cex.axis=axisanno)

#  plot evans et al (2010) affirmation
par(mar=c(3,1,4,3))

plot(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=21, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="high",5], pch=24, cex=cexValueB, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=24, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=21, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=21, cex=cexValueS, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=24, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=24, cex=cexValueS, col="black", bg="white")

points(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="high",5], pch=22, cex=cexValueB, col="black", bg="black")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=22, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="high",5], pch=25, cex=cexValueB, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=25, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=22, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=22, cex=cexValueS, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=25, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=25, cex=cexValueS, col="black", bg="white")

text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .48")), col = "black", font = 2, cex = rhosize)
mtext("Evans et al. (2010)", side = 3, line = 1, cex=headsize, font=2)
mtext("deductive responses", side=1, line=2, cex=axistxt)
#legend(27,104, legend = (c("high belief", "low belief")), pch= 23, pt.bg=c("black","white"), bty="n", pt.cex=cexValue )
#legend(27,50, legend = (c("MP", "AC", "MT", "DA")), pch= c(22,21,24,25), pt.bg="grey", bty="n", pt.cex=cexValue )
axis(side=2, cex.axis=axisanno)

dev.off()









cexValue <- 1.2
cexValueS <- 1
cexValueB <- 1.4
axisanno<-0.8
axistxt <- 0.9
maincex <- 1
headsize<-1

rhox <- 92
rhoy <- 32
rhosize <- 1.2


#png("figures/ivdr_fig2_all.png",width=19,height=14.9,units="cm",res=700)

postscript(file = "figures/fig2.eps", onefile = FALSE, width = 7.5, height = 5.9, horizontal = FALSE, paper = "special")

par(mfrow=c(2,3), oma=c(1,0.5,0.5,0.5))

#par(mfrow=c(2,3), mar=c(4,4,0.5,0.5), oma=c(1.5,2,1,1))

#  plot evans et al (2009) affirmation
par(mar=c(3,4,4,0))
plot(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="high",5], pch=24, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=21, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=24, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free" & evans2009$belief=="low",5], pch=21, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free" & evans2009$belief=="low",5], pch=24, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=21, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=24, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=21, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=24, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=21, cex=cexValueS, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=24, cex=cexValueS, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .96")), col = "black", font = 2, cex = rhosize)
legend(27.25,42.75, legend = (c("MP", "AC")), pch= c(21,24), pt.bg="grey", bty="o", pt.cex=cexValue )
mtext("inductive responses", side=2, line=2.5, cex=axistxt)
mtext("Evans et al. (2009)", side = 1, line = 2.5, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)

mtext("Affirmation Problems", side=3, line=-2.8,  cex=1.5, outer=TRUE)

#  plot Weidenfeld et al (2009) affirmation
par(mar=c(3,3,4,1))
plot(weidenfeld2005[1,3],weidenfeld2005[1,4],xlab="", yaxt="n", ylab="", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(weidenfeld2005[2,3],weidenfeld2005[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[3,3],weidenfeld2005[3,4], pch=21, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[4,3],weidenfeld2005[4,4], pch=24, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[5,3],weidenfeld2005[5,4], pch=21, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[6,3],weidenfeld2005[6,4], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .94")), col = "black", font = 2, cex = rhosize)
mtext("Weidenfeld et al. (2005)", side = 1, line = 2.5, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)

#  plot evans et al (2010) affirmation
par(mar=c(3,2,4,2))
plot(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=21, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="high",5], pch=24, cex=cexValueB, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=24, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=21, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=21, cex=cexValueS, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=24, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=24, cex=cexValueS, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .51")), col = "black", font = 2, cex = rhosize)
mtext("Evans et al. (2010)", side = 1, line = 2.5, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)

#mtext("deductive responses", side=1, line=2.5, cex=axistxt)

#  plot evans et al (2009) denial
par(mar=c(3,4,4,0))
plot(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=22, col.axis="black", cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="high",5], pch=22, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="high",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="high",5], pch=25, cex=cexValueB, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=22, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="medium",5], pch=25, cex=cexValueB, col="black", bg="grey")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free" & evans2009$belief=="low",5], pch=22, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="low",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free" & evans2009$belief=="low",5], pch=25, cex=cexValueB, col="black", bg="white")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=22, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="high",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="high",5], pch=25, cex=cexValueS, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=22, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="medium",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="medium",5], pch=25, cex=cexValueS, col="black", bg="grey")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=22, cex=cexValueS, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="low",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded" & evans2009$belief=="low",5], pch=25, cex=cexValueS, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .79")), col = "black", font = 2, cex = rhosize)
legend(27.25,42.75, legend = (c("MT", "DA")), pch= c(22,25), pt.bg="grey", bty="o", pt.cex=cexValue )
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("inductive responses", side=2, line=2.5, cex=axistxt)
axis(side=2, cex.axis=axisanno)

#  plot Weidenfeld et al (2005) denial
par(mar=c(3,3,4,1))
plot(weidenfeld2005[7,3],weidenfeld2005[7,4],xlab="", ylab="", yaxt="n", main="", xlim=c(30,100), ylim=c(30,100), pch=22, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(weidenfeld2005[8,3],weidenfeld2005[8,4], pch=25, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[9,3],weidenfeld2005[9,4], pch=22, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[10,3],weidenfeld2005[10,4], pch=25, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[11,3],weidenfeld2005[11,4], pch=22, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[12,3],weidenfeld2005[12,4], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .71")), col = "black", font = 2, cex = rhosize)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("Denial Problems", side=3, line=1,  cex=1.5)
#axis(side=1, cex.axis=axisanno)
axis(side=2, cex.axis=axisanno)

#  plot evans et al (2010) denial
par(mar=c(3,2,4,2))
plot(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=22, cex=cexValueB, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=22, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="high",5], pch=25, cex=cexValueB, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="high",5], pch=25, cex=cexValueS, col="black", bg="black")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=22, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=22, cex=cexValueS, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief=="low",5], pch=25, cex=cexValueB, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief=="low",5], pch=25, cex=cexValueS, col="black", bg="white")

text(rhox-1,rhoy,labels = expression(paste(italic(r[s]), " = -.04")), col = "black", font = 2, cex = rhosize)

mtext("deductive responses", side=1, line=2, cex=axistxt)
#axis(side=1, cex.axis=axisanno)
axis(side=2, cex.axis=axisanno)

dev.off()












#### Figure 1: four state trace plots 

cexValue <- 1.2
cexValue2 <- 1.8
axisanno<-0.6
axistxt <- 0.8
maincex <- 0.8
headsize<-0.8

rhox <- 88
rhoy <- 33
rhosize <- 1.2

png("figures/ivdr_fig1_all.png",width=19,height=5.9,units="cm",res=700)

par(mfrow=c(1,4), oma=c(0.5,0,0,0))


#  plot evans et al (2009) affirmation
par(mar=c(3,3,4,1))
plot(evans2009[evans2009$problem=="MP" & evans2009$task=="free",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="free",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free",5], pch=22, cex=cexValue, col="black", bg="black")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free",5], pch=25, cex=cexValue, col="black", bg="black")

points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded",5], pch=24, cex=cexValue, col="black", bg="white")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded",5], pch=22, cex=cexValue, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded",5], pch=25, cex=cexValue, col="black", bg="white")

text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .87")), col = "black", font = 2, cex = rhosize)
#mtext("deductive responses", side=1, line=2.5, cex=axistxt)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("Evans et al. (2009)", side = 3, line = 1, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)
#legend(27,104, legend = (c("high belief", "medium belief", "low belief")), pch= 23, pt.bg=c("black","grey","white"), bty="n", pt.cex=cexValue )


#  plot evans et al (2009) affirmation
par(mar=c(3,3,4,1))
plot(evans2009[evans2009$problem=="MP" & evans2009$task=="free",4],evans2009[evans2009$problem=="MP" & evans2009$task=="free",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="AC" & evans2009$task=="free",4],evans2009[evans2009$problem=="AC" & evans2009$task=="free",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2009[evans2009$problem=="MP" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="MP" & evans2009$task=="speeded",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2009[evans2009$problem=="AC" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="AC" & evans2009$task=="speeded",5], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .96")), col = "black", font = 2, cex = rhosize)

#  plot evans et al (2009) denial
plot(evans2009[evans2009$problem=="MT" & evans2009$task=="free",4],evans2009[evans2009$problem=="MT" & evans2009$task=="free",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=22, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[evans2009$problem=="DA" & evans2009$task=="free",4],evans2009[evans2009$problem=="DA" & evans2009$task=="free",5], pch=25, cex=cexValue, col="black", bg="black")
points(evans2009[evans2009$problem=="MT" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="MT" & evans2009$task=="speeded",5], pch=22, cex=cexValue, col="black", bg="white")
points(evans2009[evans2009$problem=="DA" & evans2009$task=="speeded",4],evans2009[evans2009$problem=="DA" & evans2009$task=="speeded",5], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .19")), col = "black", font = 2, cex = rhosize)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("Evans et al. (2009)", side = 3, line = 1, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)




#  plot evans et al (2010) all only problems plotted differentially
par(mar=c(3,1,4,3))
plot(evans2010[evans2010$problem == "MP" & evans2010$ability == "high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low",5], pch=24, cex=cexValue, col="black", bg="white")

points(evans2010[evans2010$problem == "MT" & evans2010$ability == "high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high",5], pch=22, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low",5], pch=22, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high",5], pch=25, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low",5], pch=25, cex=cexValue, col="black", bg="white")

text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .48")), col = "black", font = 2, cex = rhosize)

#Evans 2010:  affirmation problems high versis low ability
plot(evans2010[evans2010$problem == "MP" & evans2010$ability == "high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low",5], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .52")), col = "black", font = 2, cex = rhosize)



#Evans 2010:  denial problems high versis low ability
plot(evans2010[evans2010$problem == "MT" & evans2010$ability == "high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=22, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low",5], pch=22, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high",5], pch=25, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low",5], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = -.03")), col = "black", font = 2, cex = rhosize)
mtext("Evans et al. (2010)", side = 3, line = 1, cex=headsize, font=2)
mtext("deductive responses", side=1, line=2, cex=axistxt)

axis(side=2, cex.axis=axisanno)

dev.off()


#Evans 2010: affirmation problems, high versus low belief and hich versus low ability

plot(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief == "high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief == "high",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief == "high",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief == "high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief == "high",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief == "high",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief == "high",5], pch=24, cex=cexValue, col="black", bg="white")

points(evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief == "low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "high" & evans2010$belief == "low",5], pch=21, cex=cexValue2, col="black", bg="black")
points(evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief == "low",4],evans2010[evans2010$problem == "MP" & evans2010$ability == "low" & evans2010$belief == "low",5], pch=21, cex=cexValue2, col="black", bg="white")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief == "low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "high" & evans2010$belief == "low",5], pch=24, cex=cexValue2, col="black", bg="black")
points(evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief == "low",4],evans2010[evans2010$problem == "AC" & evans2010$ability == "low" & evans2010$belief == "low",5], pch=24, cex=cexValue2, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .52")), col = "black", font = 2, cex = rhosize)




# Evans 2010: denial problems, high versus low belief and hich versus low ability
plot(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "high",5]
	,xlab="", ylab="", yaxt="n", xlim=c(0,100), ylim=c(0,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief == "high",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief == "high",5], pch=21, cex=cexValue, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief == "high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief == "high",5], pch=24, cex=cexValue, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief == "high",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief == "high",5], pch=24, cex=cexValue, col="black", bg="white")

points(evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "high" & evans2010$belief == "low",5], pch=21, cex=cexValue2, col="black", bg="black")
points(evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief == "low",4],evans2010[evans2010$problem == "MT" & evans2010$ability == "low" & evans2010$belief == "low",5], pch=21, cex=cexValue2, col="black", bg="white")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief == "low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "high" & evans2010$belief == "low",5], pch=24, cex=cexValue2, col="black", bg="black")
points(evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief == "low",4],evans2010[evans2010$problem == "DA" & evans2010$ability == "low" & evans2010$belief == "low",5], pch=24, cex=cexValue2, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = -.03")), col = "black", font = 2, cex = rhosize)



### Figure 2: 2 x 3 state-trace plots, splitted in affirmation and denial plots





cexValue <- 1.5
axisanno<-0.8
axistxt <- 0.9
maincex <- 1
headsize<-1

rhox <- 92
rhoy <- 32
rhosize <- 1.2


png("figures/ivdr_fig2.png",width=19,height=14.9,units="cm",res=700)

par(mfrow=c(2,3), oma=c(1,0.5,0.5,0.5))

#par(mfrow=c(2,3), mar=c(4,4,0.5,0.5), oma=c(1.5,2,1,1))

#  plot evans et al (2009) affirmation
par(mar=c(3,4,4,0))
plot(evans2009[1,3],evans2009[1,4],xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[2,3],evans2009[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(evans2009[3,3],evans2009[3,4], pch=21, cex=cexValue, col="black", bg="grey")
points(evans2009[4,3],evans2009[4,4], pch=24, cex=cexValue, col="black", bg="grey")
points(evans2009[5,3],evans2009[5,4], pch=21, cex=cexValue, col="black", bg="white")
points(evans2009[6,3],evans2009[6,4], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = 1.0")), col = "black", font = 2, cex = rhosize)
#mtext("deductive responses", side=1, line=2.5, cex=axistxt)
mtext("inductive responses", side=2, line=2.5, cex=axistxt)
mtext("Evans et al. (2009)", side = 1, line = 2.5, cex=headsize, font=2)
axis(side=2, cex.axis=axisanno)
legend(27.25,102.75, legend = (c("high belief", "medium belief", "low belief")), pch= 23, pt.bg=c("black","grey","white"), bty="o", pt.cex=cexValue )
legend(27.25,42.75, legend = (c("MP", "AC")), pch= c(21,24), pt.bg="grey", bty="o", pt.cex=cexValue )
#mtext("deductive responses", side=1, line=2.5, cex=axistxt)
#legend("top",c("Flanker (N) ","Simon (N) "),lty=c(3,1),pch=c(21, 22), pt.bg="light grey", pt.cex=1.5, bty="n", cex=1.1, y.intersp=1.5 )

mtext("Affirmation Problems", side=3, line=-2.8,  cex=1.5, outer=TRUE)

#  plot Weidenfeld et al (2009) affirmation
par(mar=c(3,3,4,1))
plot(weidenfeld2005[1,3],weidenfeld2005[1,4],xlab="", yaxt="n", ylab="", xlim=c(30,100), ylim=c(30,100), pch=21, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(weidenfeld2005[2,3],weidenfeld2005[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[3,3],weidenfeld2005[3,4], pch=21, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[4,3],weidenfeld2005[4,4], pch=24, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[5,3],weidenfeld2005[5,4], pch=21, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[6,3],weidenfeld2005[6,4], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .94")), col = "black", font = 2, cex = rhosize)
mtext("Weidenfeld et al. (2005)", side = 1, line = 2.5, cex=headsize, font=2)
legend(27.25,102.75, legend = (c("causal forward", "no causality", "causal backward")), pch= 23, pt.bg=c("black","grey","white"), bty="o", pt.cex=cexValue )
axis(side=2, cex.axis=axisanno)

#  plot evans et al (2010) affirmation
par(mar=c(3,2,4,2))
plot(evans2010[1,3],evans2010[1,4],xlab="", ylab="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=21, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[2,3],evans2010[2,4], pch=24, cex=cexValue, col="black", bg="black")
points(evans2010[3,3],evans2010[3,4], pch=21, cex=cexValue, col="black", bg="white")
points(evans2010[4,3],evans2010[4,4], pch=24, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .80")), col = "black", font = 2, cex = rhosize)
mtext("Evans et al. (2010)", side = 1, line = 2.5, cex=headsize, font=2)
legend(27.25,102.75, legend = (c("high belief", "low belief")), pch= 23, pt.bg=c("black","white"), bty="o", pt.cex=cexValue )
axis(side=2, cex.axis=axisanno)

#mtext("deductive responses", side=1, line=2.5, cex=axistxt)

#  plot evans et al (2009) denial
par(mar=c(3,4,4,0))
plot(evans2009[7,3],evans2009[7,4],xlab="", ylab="", yaxt="n", main="", xlim=c(30,100), ylim=c(30,100), pch=22, col.axis="black", cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2009[8,3],evans2009[8,4], pch=25, cex=cexValue, col="black", bg="black")
points(evans2009[9,3],evans2009[9,4], pch=22, cex=cexValue, col="black", bg="grey")
points(evans2009[10,3],evans2009[10,4], pch=25, cex=cexValue, col="black", bg="grey")
points(evans2009[11,3],evans2009[11,4], pch=22, cex=cexValue, col="black", bg="white")
points(evans2009[12,3],evans2009[12,4], pch=25, cex=cexValue, col="black", bg="white")
legend(27.25,42.75, legend = (c("MT", "DA")), pch= c(22,25), pt.bg="grey", bty="o", pt.cex=cexValue )
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .78")), col = "black", font = 2, cex = rhosize)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("inductive responses", side=2, line=2.5, cex=axistxt)
axis(side=2, cex.axis=axisanno)

#  plot Weidenfeld et al (2005) denial
par(mar=c(3,3,4,1))
plot(weidenfeld2005[7,3],weidenfeld2005[7,4],xlab="", ylab="", yaxt="n", main="", xlim=c(30,100), ylim=c(30,100), pch=22, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(weidenfeld2005[8,3],weidenfeld2005[8,4], pch=25, cex=cexValue, col="black", bg="black")
points(weidenfeld2005[9,3],weidenfeld2005[9,4], pch=22, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[10,3],weidenfeld2005[10,4], pch=25, cex=cexValue, col="black", bg="grey")
points(weidenfeld2005[11,3],weidenfeld2005[11,4], pch=22, cex=cexValue, col="black", bg="white")
points(weidenfeld2005[12,3],weidenfeld2005[12,4], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .71")), col = "black", font = 2, cex = rhosize)
mtext("deductive responses", side=1, line=2, cex=axistxt)
mtext("Denial Problems", side=3, line=1,  cex=1.5)
#axis(side=1, cex.axis=axisanno)
axis(side=2, cex.axis=axisanno)

#  plot evans et al (2010) denial
par(mar=c(3,2,4,2))
plot(evans2010[5,3],evans2010[5,4],xlab="", ylab="", main="", yaxt="n", xlim=c(30,100), ylim=c(30,100), pch=22, cex=cexValue, col='black', bg='black', cex.axis=axisanno, mgp=c(3,0.6,0))
points(evans2010[6,3],evans2010[6,4], pch=25, cex=cexValue, col="black", bg="black")
points(evans2010[7,3],evans2010[7,4], pch=22, cex=cexValue, col="black", bg="white")
points(evans2010[8,3],evans2010[8,4], pch=25, cex=cexValue, col="black", bg="white")
text(rhox,rhoy,labels = expression(paste(italic(r[s]), " = .60")), col = "black", font = 2, cex = rhosize)
mtext("deductive responses", side=1, line=2, cex=axistxt)
#axis(side=1, cex.axis=axisanno)
axis(side=2, cex.axis=axisanno)

dev.off()


